Bug 1330429 (iamcal/lib_autolink) - Review Request: php-iamcal-lib-autolink - Adds anchors to urls in a text
Summary: Review Request: php-iamcal-lib-autolink - Adds anchors to urls in a text
Keywords:
Status: CLOSED ERRATA
Alias: iamcal/lib_autolink
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 08:46 UTC by Remi Collet
Modified: 2016-06-18 18:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-08 22:54:04 UTC
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (5.24 KB, text/plain)
2016-05-30 02:25 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (2.29 KB, text/plain)
2016-05-30 02:25 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.15 KB, text/plain)
2016-05-30 02:26 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-04-26 08:46:06 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9c0bf39a9dfa2ab56018ce8af1eda778b5e71f37/php/php-iamcal-lib-autolink/php-iamcal-lib-autolink.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-iamcal-lib-autolink-1.7-1.remi.src.rpm
Description: 
Find URLs in HTML that are not already links, and make them into links.

Fedora Account System Username: remi

Comment 1 Remi Collet 2016-04-26 08:46:37 UTC
New dependency of upcoming GLPI 9.1

Comment 2 Shawn Iwinski 2016-05-30 02:25:24 UTC
Created attachment 1162640 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST

Comment 3 Shawn Iwinski 2016-05-30 02:25:45 UTC
Created attachment 1162641 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 03 2016 08:07:20 CEST

Comment 4 Shawn Iwinski 2016-05-30 02:26:20 UTC
Created attachment 1162642 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1330429
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Shawn Iwinski 2016-05-30 02:27:43 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Rpmlint is run on all rpms the build produces.

php-iamcal-lib-autolink.src:64: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 64)



No blockers.

===== APPROVED =====

Comment 6 Remi Collet 2016-05-30 03:50:35 UTC

Thanks!

SCM request open.

Comment 7 Gwyn Ciesla 2016-05-30 16:08:29 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-iamcal-lib-autolink

Comment 8 Fedora Update System 2016-05-31 05:44:08 UTC
php-iamcal-lib-autolink-1.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0216866eb2

Comment 9 Fedora Update System 2016-05-31 05:44:14 UTC
php-iamcal-lib-autolink-1.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-be8b9d2565

Comment 10 Fedora Update System 2016-05-31 05:44:18 UTC
php-iamcal-lib-autolink-1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-017e6c57e8

Comment 11 Fedora Update System 2016-05-31 05:44:23 UTC
php-iamcal-lib-autolink-1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c39fcd530b

Comment 12 Fedora Update System 2016-05-31 05:44:27 UTC
php-iamcal-lib-autolink-1.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e65280539

Comment 13 Fedora Update System 2016-05-31 08:52:48 UTC
php-iamcal-lib-autolink-1.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-be8b9d2565

Comment 14 Fedora Update System 2016-05-31 20:17:21 UTC
php-iamcal-lib-autolink-1.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0216866eb2

Comment 15 Fedora Update System 2016-05-31 20:50:47 UTC
php-iamcal-lib-autolink-1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-017e6c57e8

Comment 16 Fedora Update System 2016-05-31 20:53:09 UTC
php-iamcal-lib-autolink-1.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e65280539

Comment 17 Fedora Update System 2016-05-31 20:55:03 UTC
php-iamcal-lib-autolink-1.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c39fcd530b

Comment 18 Fedora Update System 2016-06-08 22:54:01 UTC
php-iamcal-lib-autolink-1.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-06-09 03:50:26 UTC
php-iamcal-lib-autolink-1.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-06-16 14:46:43 UTC
php-iamcal-lib-autolink-1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-06-16 14:50:09 UTC
php-iamcal-lib-autolink-1.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-06-18 18:54:06 UTC
php-iamcal-lib-autolink-1.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.